Subject: Re: About mpc85xx flash memory allocation

From: "tiejun.chen" <[email-masked]>
Date: Mon, 24 Jan 2011 14:48:52 +0800

Mitsutaka Amano wrote:
> Hi all,
> 
> I'm testing the ppc platform is based on mpc85xx. 256MB Flash memory
> has been installed. Then I found this entries.
> 
> /proc/vmallocinfo
> ~~~
> 0xc9100000-0xd9101000 268439552 of_flash_probe+0x290/0x814 ioremap
> 
> physmap_of allocated 268MB over to the vmalloc. vmalloc space is tight.
> 
> Why does we need mpc platforms to flash memory allocation? I know

This should not be dedicated to so-called mpc platform. And we always use
ioremap() to map the device space. And on PPC ioremap also use the same space as
vmalloc(). While bootstrap you also can see this associated message like the
follows,
------
......
  * 0xd1000000..0xffbe9000  : vmalloc & ioremap

> other architectures don't allocate to the vmalloc.
> The design of the hardware? or Is there the way to use the flash

You can open /dev/mem then mmap() with a appropriate offset to access the device
space including flash.

Tiejun

> memory without vmalloc?
> Thanks,
> Mitsutaka